//Shader vgtaux
textures/FerrarI_flower/flower
{
		qer_editorimage textures/Ferrari_flower/flower.tga
		q3map_globaltexture
		tessSize 8 
		deformVertexes wave 64 sin 0 4 0 0.08
		surfaceparm alphashadow 
		surfaceparm trans 
		cull none 

	{	//GRASS
		map textures/FerrarI_flower/flower.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0) 
		depthwrite
	}

	{	//LIGHTMAP // activation de la lightmap
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Cailloux
textures/FerrarI_Floor/sable


{
		qer_editorimage textures/FerrarI_Floor/sable.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Floor/sable.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Sol
textures/FerrarI_Floor/eX_rplates_01_h


{
		qer_editorimage textures/FerrarI_Floor/eX_rplates_01_h.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Floor/eX_rplates_01_h.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Plafond
textures/FerrarI_Sky/grey_sky


{
		qer_editorimage textures/FerrarI_Sky/grey_sky.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Sky/grey_sky.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader color_grey
textures/FerrarI_Wall/color_grey_wall


{
		qer_editorimage textures/FerrarI_Wall/color_grey_wall.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Wall/color_grey_wall.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Mur_stone
textures/FerrarI_Wall/wall_stone


{
		qer_editorimage textures/FerrarI_Wall/wall_stone.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Wall/wall_stone.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader rouille_marche
textures/FerrarI_Wall/marche_rouille


{
		qer_editorimage textures/FerrarI_Wall/marche_rouille.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Wall/marche_rouille.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader mur_no_wj
textures/FerrarI_Wall/no_wj


{
		qer_editorimage textures/FerrarI_Wall/no_wj.tga
		surfaceparm nodamage
		surfaceparm nomarks
		surfaceparm slick
    
	{
        map textures/FerrarI_Wall/no_wj.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}	

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader color_grey_icy
textures/FerrarI_Wall/color_grey_wall_icy


{
		qer_editorimage textures/FerrarI_Wall/color_grey_wall.tga
		surfaceparm nodamage
		surfaceparm nomarks
		surfaceparm slick
    
	{
        map textures/FerrarI_Wall/color_grey_wall.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader item_room
textures/FerrarI_Addon/item_room


{
		qer_editorimage textures/FerrarI_Addon/item_room.tga
		surfaceparm nodamage
		surfaceparm nomarks
		surfaceparm slick
    
	{
        map textures/FerrarI_Addon/item_room.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Item_room
textures/FerrarI_Addon/weapon_room


{
		surfaceparm nomarks
		surfaceparm trans
		surfaceparm pointlight
		nopicmip
	{
		clampmap textures/FerrarI_Addon/weapon_room.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 45
	}
	
	{
		map textures/FerrarI_Addon/weapon_room.blend.tga
		blendfunc add
		rgbGen Vertex
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader triangle
textures/FerrarI_Addon/triangle


{
		qer_editorimage textures/FerrarI_Addon/triangle.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Addon/triangle.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader urt_stone
textures/FerrarI_Addon/urt_stone


{
		qer_editorimage textures/FerrarI_Addon/urt_stone.tga
		surfaceparm nodamage
		surfaceparm nomarks
    
	{
        map textures/FerrarI_Addon/urt_stone.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity		
    }
	
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader glass
textures/FerrarI_Wall/glass


{	
		qer_editorimage textures/FerrarI_Wall/glass.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nodamage
		surfaceparm nomarks

	{	
		map textures/FerrarI_Wall/glass.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	
	{	
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader glass_icy
textures/FerrarI_Wall/glass_icy


{	
		qer_editorimage textures/FerrarI_Wall/glass.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nodamage
		surfaceparm nomarks
		surfaceparm slick

	{	
		map textures/FerrarI_Wall/glass.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	
	{	
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Eau
textures/FerrarI_Water/water


{
		qer_editorimage textures/FerrarI_Water/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		deformVertexes wave 64 sin 1 1 0 1	
	
	{ 
		map textures/FerrarI_Water/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.2 0
	}
	
	{ 
		map textures/FerrarI_Water/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.2 0
	}
	
	{ 
		map textures/FerrarI_Water/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.2 0
	}	
	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader eau pot de fleur

//Water

 textures/FerrarI_Water/Eau_fleur
 
 
	{ qer_editorimage textures/FerrarI_Water/pool3d_3.tga
		qer_trans 0.7
		surfaceparm water
		surfaceparm nonsolid
		surfaceparm trans
		tessSize 512
		deformVertexes wave 1024 sin - 8 - 0.2
		cull none
		
		
{ //ONDE
	map textures/FerrarI_Water/pool3d_5.tga
		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .04
		tcMod turb - .04 - .04
	}
{ //LIQUID
	map textures/FerrarI_Water/pool3d_6.tga

		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .04
		tcMod turb - .04 - .04
	}
{ //LIQUID
	map textures/FerrarI_Water/pool3d_3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll 0 .02
		tcMod turb - .02 - .04
	}
{ //LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
	}
 }
 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//test eau_tranc

textures/FerrarI_Water/water_tranch
	
	
	{
			qer_editorimage textures/liquids/pool3d_3c.tga
			qer_trans .5
			q3map_globaltexture
			surfaceparm trans
			surfaceparm nonsolid
			surfaceparm water
	
			cull disable
			deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/FerrarI_Water/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/FerrarI_Water/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/FerrarI_Water/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light_spot
textures/FerrarI_Light/Spot2


{
		qer_editorimage textures/FerrarI_Light/light_1.tga
		surfaceparm nomarks
		q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light_spot_bis
textures/FerrarI_Light/Spot2_hight


{
		qer_editorimage textures/FerrarI_Light/light_1.tga
		surfaceparm nomarks
		q3map_surfacelight 20000
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light2
textures/FerrarI_Light/light_2


{
		qer_editorimage textures/FerrarI_Light/light_2.tga
		surfaceparm nomarks
		q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light2
textures/FerrarI_Light/light_2_high


{
		qer_editorimage textures/FerrarI_Light/light_2.tga
		surfaceparm nomarks
		q3map_surfacelight 15000
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map textures/FerrarI_Light/light_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light bleu
textures/FerrarI_Light/light_blue


{
		qer_editorimage textures/FerrarI_Light/light_blue.tga
		q3map_lightimage textures/FerrarI_Light/light_blue.blend.tga
		surfaceparm nomarks
		surfaceparm nonsolid
		q3map_lightsubdivide 32
		q3map_surfacelight 10000
	
	{
		map textures/FerrarI_Light/light_blue.tga
		rgbGen identity
	}
	
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	
	{
		map textures/FerrarI_Light/light_blue.blend.tga
		blendfunc add
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader light bleu (bis)
textures/FerrarI_Light/light_blue_bis


{
		qer_editorimage textures/FerrarI_Light/light_blue_bis.tga
		q3map_lightimage textures/FerrarI_Light/light_blue_bis.blend.tga
		surfaceparm nomarks
		surfaceparm nonsolid
		q3map_lightsubdivide 32
		q3map_surfacelight 10000
	
	{
		map textures/FerrarI_Light/light_blue_bis.tga
		rgbGen identity
	}
	
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	
	{
		map textures/FerrarI_Light/light_blue_bis.blend.tga
		blendfunc add
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//shader push
textures/FerrarI_Addon/tri_push


{
		qer_editorimage textures/FerrarI_Addon/tri_push.tga
		q3map_lightimage textures/FerrarI_Addon/tri_push.blend.tga
		q3map_surfacelight 500
		surfaceparm nodamage
		surfaceparm nomarks
	
	{
		map textures/FerrarI_Addon/tri_push.tga
		rgbGen identity
	}
	
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	
	{
		map textures/FerrarI_Addon/tri_push.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//shader urtjumpers
textures/FerrarI_Addon/urtjumpers


{		qer_editorimage textures/FerrarI_Addon/urtjumpers.tga
		surfaceparm nodamage
		surfaceparm nomarks
		
		{	map textures/FerrarI_Addon/urtjumpers.tga
			blendFunc GL_ONE GL_ONE
			rgbGen identity
		}
		
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Chrome
textures/FerrarI_Wall/chromus


{
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/FerrarI_Wall/chromus.tga
        {
            map textures/FerrarI_Wall/chrome_tint.tga
            tcGen environment
        }
        {
            map textures/FerrarI_Wall/chromus.tga
            blendFunc GL_ONE GL_ONE
            tcMod scale 8 8
            rgbGen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader Chrome no_wj
textures/FerrarI_Wall/chromus_no_wj


{
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/FerrarI_Wall/chromus.tga
        {
            map textures/FerrarI_Wall/chrome_tint.tga
            tcGen environment
        }
        {
            map textures/FerrarI_Wall/chromus.tga
            blendFunc GL_ONE GL_ONE
            tcMod scale 8 8
            rgbGen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader End
textures/FerrarI_Addon/end


{		qer_editorimage textures/FerrarI_Addon/end.tga
		surfaceparm nodamage
		surfaceparm nomarks
		
		{	map textures/FerrarI_Addon/end.tga
			blendFunc GL_ONE GL_ONE
			rgbGen identity
		}
		
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Shader minimap

maps/map_2
{
    
		nopicmip
		{
			map maps/map_2.tga
			blendfunc blend
		
		}

		{
			map maps/text.tga
			tcmod scroll .3 0
			blendfunc add
			rgbGen const ( 0.5 0.5 0.5 )
		
		}
	
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
